package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="konsultasi_t")
@JsonSerialize
@JsonIgnoreProperties({ "hibernateLazyInitializer", "handler" })
public class Konsultasi extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectantrianPasienDiPeriksaFk")
	@Caption(value="Object antrianPasienDiPeriksa")
	private AntrianPasienDiPeriksa antrianPasienDiPeriksa;

	@Column(name = "ObjectantrianPasienDiPeriksaFk", insertable=false,updatable=false,nullable=false)
	private String antrianPasienDiPeriksaId;

	@Column(name = "tanggalKonsultasi", nullable = true)
	@Caption(value = "tanggalKonsultasi")
	private Date tanggalKonsultasi;

	@ManyToOne
	@JoinColumn(name = "ObjecttujuanKonsultasiFk")
	@Caption(value="Object tujuanKonsultasi")
	private Ruangan tujuanKonsultasi;

	@Column(name = "ObjecttujuanKonsultasiFk", insertable=false,updatable=false,nullable=true)
	private Integer tujuanKonsultasiId;

	@Column(name = "ikhtiarKlinik", nullable = true)
	@Caption(value = "ikhtiarKlinik")
	private String ikhtiarKlinik;
	
	@Caption(value="Jawaban Konsultasi")
	@Column(name = "JawabanKonsultasi", nullable = true )
	private String jawabanKonsultasi;
	
	public AntrianPasienDiPeriksa getAntrianPasienDiPeriksa() {
		return antrianPasienDiPeriksa;
	}
	public void setAntrianPasienDiPeriksa(AntrianPasienDiPeriksa antrianPasienDiPeriksa) {
		this.antrianPasienDiPeriksa = antrianPasienDiPeriksa;
	}
	public Date getTanggalKonsultasi() {
		return tanggalKonsultasi;
	}
	public void setTanggalKonsultasi(Date tanggalKonsultasi) {
		this.tanggalKonsultasi = tanggalKonsultasi;
	}
	public Ruangan getTujuanKonsultasi() {
		return tujuanKonsultasi;
	}
	public void setTujuanKonsultasi(Ruangan tujuanKonsultasi) {
		this.tujuanKonsultasi = tujuanKonsultasi;
	}
	public String getIkhtiarKlinik() {
		return ikhtiarKlinik;
	}
	public void setIkhtiarKlinik(String ikhtiarKlinik) {
		this.ikhtiarKlinik = ikhtiarKlinik;
	}
	public String getAntrianPasienDiPeriksaId() {
		return antrianPasienDiPeriksaId;
	}
	public void setAntrianPasienDiPeriksaId(String antrianPasienDiPeriksaId) {
		this.antrianPasienDiPeriksaId = antrianPasienDiPeriksaId;
	}
	public Integer getTujuanKonsultasiId() {
		return tujuanKonsultasiId;
	}
	public void setTujuanKonsultasiId(Integer tujuanKonsultasiId) {
		this.tujuanKonsultasiId = tujuanKonsultasiId;
	}
	public String getJawabanKonsultasi() {
		return jawabanKonsultasi;
	}
	public void setJawabanKonsultasi(String jawabanKonsultasi) {
		this.jawabanKonsultasi = jawabanKonsultasi;
	}
	
}
